﻿html {
    font-size: 14px;
    scroll-behavior: smooth;
}

body {
    margin: 0;
}

/*popper*/
.MuiAutocomplete-popper {
    z-index: 2000 !important;
}

/*Snackbar*/
.MuiSnackbar-anchorOriginTopCenter {
    top: 0 !important;
}

.MuiSnackbar-anchorOriginTopCenter > .MuiSnackbarContent-root {
    border-top-left-radius: 0;
    border-top-right-radius: 0;
}

/*tree with checkbox*/
.rct-collapse {
    background-color: transparent !important;
    border: none !important;
}

.rct-title {
    font-size: 1rem;
    font-family: "Roboto", "Helvetica", "Arial", sans-serif;
}

.loginPage {
    background: rgb(2,89,139);
    background: linear-gradient(120deg, rgba(2,89,139,1) 0%, rgba(0,140,192,1) 25%, rgba(94,196,230,1) 75%, rgba(0,140,192,1) 100%);

    background-size: 400% 400%;
    -webkit-animation: Gradient 15s ease infinite;
    -moz-animation: Gradient 15s ease infinite;
    animation: Gradient 15s ease infinite;
    display: flex;
    flex-direction: column;
    align-items: stretch;
    justify-content: space-evenly;
    overflow: hidden;
    position: relative;
}

.loginPage::before,
.loginPage::after {
    content: "";
    width: 70vmax;
    height: 70vmax;
    position: absolute;
    background: rgba(255, 255, 255, 0.07);
    left: -20vmin;
    top: -20vmin;
    animation: morph 15s linear infinite alternate, spin 20s linear infinite;
    z-index: 1;
    will-change: border-radius, transform;
    transform-origin: 55% 55%;
    pointer-events: none;
}

.loginPage::after {
    width: 70vmin;
    height: 70vmin;
    left: auto;
    right: -10vmin;
    top: auto;
    bottom: 0;
    animation: morph 10s linear infinite alternate, spin 26s linear infinite reverse;
    transform-origin: 20% 20%;
}

@-webkit-keyframes Gradient {
    0% {
        background-position: 0 50%
    }
    50% {
        background-position: 100% 50%
    }
    100% {
        background-position: 0 50%
    }
}

@-moz-keyframes Gradient {
    0% {
        background-position: 0 50%
    }
    50% {
        background-position: 100% 50%
    }
    100% {
        background-position: 0 50%
    }
}

@keyframes Gradient {
    0% {
        background-position: 0 50%
    }
    50% {
        background-position: 100% 50%
    }
    100% {
        background-position: 0 50%
    }
}

@keyframes morph {
    0% {
        border-radius: 40% 60% 60% 40% / 70% 30% 70% 30%; }
    100% {
        border-radius: 40% 60%; }
}

@keyframes spin {
    to {
        transform: rotate(1turn);
    }
}
